Subject: Re: [PATCH net-next v2 5/9] devlink: refactor region_read_snapshot_fill to use a callback function

From: Jakub Kicinski <[email-masked]>
Date: Mon, 28 Nov 2022 11:00:07 -0800

On Mon, 28 Nov 2022 18:27:42 +0000 Keller, Jacob E wrote:
> > Hmm, I tried to figure out how to do this without extra alloc and
> > memcpy, didn't find any nice solution :/
> 
> I also came up blank as well :( I can take another look when sending v3 with the other fixups.

You can certainly rearrange things to nla_reserve() the space in the
message and pass to the driver a pointer to a buffer already in the
skb. But I don't think it's worth the code complexity.